import Polyglot from 'node-polyglot';
import { I18nProvider, Locale } from "@rakit/core";

const locale: Locale = { code: 'zh', name: "简体中文" };

const polyglot = new Polyglot({
    locale: locale.code,
    phrases: {
      '': '',
      ra: {
        page: {
          error: 'ra.page.error222',
        },
        message: {
          error: "ra.message.error222",
        }
      },
    },
});

export const i18nProvider: I18nProvider = {
  translate: (key: string, options: any = {}) => polyglot.t(key, options),
  changeLocale: () => Promise.resolve(),
  getLocale: () => "zh",
  getLocales: () => [locale],
}
