import { createContext, PropsWithChildren, useContext } from "react";

const InApp = createContext(false);

/**
 * @private
 */
export function InAppContext(props: PropsWithChildren) {
  return (
    <InApp.Provider value={true}>
      {props.children}
    </InApp.Provider>
  )
}

/**
 * @private
 */
export function useInAppContext() {
  return useContext(InApp);
}
