import { useContext } from "react";
import { ErrorContext, ErrorContextValue } from "./ErrorContext";

export function useErrorContext(): ErrorContextValue {
  const errorContext = useContext(ErrorContext);

  if (!errorContext) {
    throw new Error(
      "You've tried to access error context outside <ErrorContextProvider />.\n" +
      "Please wrap your code with it first.\n"
    );
  }

  return errorContext;
}
