import { ReactNode } from "react";
import { To } from "react-router-dom";
import {
  InitialLocationContext,
  InitialLocationContextValue
} from "./InitialLocationContext";
import { useInitialLocationContext } from "./useInitialLocationContext";

export interface InitialLocationContextProviderProps {
  location?: To;
  target: keyof InitialLocationContextValue
  children?: ReactNode;
}

export function InitialLocationContextProvider(props: InitialLocationContextProviderProps) {
  const { children, target, location } = props;
  const fromContext = useInitialLocationContext({});
  const value = {
    ...fromContext,
    [target]: location ?? fromContext[target]
  }

  if (Object.values(value).some(v => v == null)) {
    return children;
  }

  return (
    <InitialLocationContext.Provider value={value}>
      {children}
    </InitialLocationContext.Provider>
  )
}
