import { To } from "react-router-dom";
import { useInAdminContext } from "../core/InAdminContext";
import { useInAppContext } from "../core/InAppContext";
import { useInitialLocationContext } from "./useInitialLocationContext";

export function useInitialLocation(fallback?: To): To | undefined {
  const inAdmin = useInAdminContext();
  const inApp = useInAppContext();
  const { app, admin } = useInitialLocationContext({});
  if (inAdmin) {
    return admin;
  }
  if (inApp) {
    return app;
  }
  return fallback;
}
