import { useContext } from "react";
import {
  InitialLocationContext,
  InitialLocationContextValue
} from "./InitialLocationContext";

export function useInitialLocationContext(): InitialLocationContextValue;
export function useInitialLocationContext(overrides: InitialLocationContextValue): InitialLocationContextValue;
export function useInitialLocationContext(overrides?: InitialLocationContextValue) {
  const fromContext = useContext(InitialLocationContext);

  if (fromContext != null) {
    return {
      ...fromContext,
      ...overrides,
    }
  }

  return overrides;
}
