import { ReactNode } from "react";
import { PortalProvider } from "../portal";
import { titlePortalName } from "./constants";

export interface TitleContainerProviderProps {
  children?: ReactNode;
  value: string | Element | null;
}

export function TitlePortalProvider(props: TitleContainerProviderProps) {
  return (
    <PortalProvider
      name={titlePortalName}
      container={props.value}
    >
      {props.children}
    </PortalProvider>
  );
}
